crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> Eclipse + QT4 + MinGW, проблема компиляции
Tarnym
  опции профиля:
сообщение 19.8.2008, 12:11
Сообщение #1


Новичок


Группа: Новичок
Сообщений: 1
Регистрация: 16.8.2008
Пользователь №: 266

Спасибо сказали: 0 раз(а)




Репутация:   0  


Добрый день. Я только начал пользоваться и сразу возник вопрос.
Использую сборку Eclipse + QT4 + MinGW. Когда проект скомпилируеш проект он сразу запускается, но когда запускаеш отдельно скомпилированнвй проект выдает ошибку длл. в интернете нашол дллки но он не воспринимает 2 из них (QTCore4.dll) пишет неправельный вход процедуры в поток... :blink: помогите :)
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 19.8.2008, 12:26
Сообщение #2


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9655
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


Qt4 откуда? автоустановщик или сам собирал из исходников?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
molchanoviv
  опции профиля:
сообщение 19.8.2008, 13:38
Сообщение #3


Старейший участник
****

Группа: Сомодератор
Сообщений: 597
Регистрация: 18.7.2008
Из: Саратов
Пользователь №: 238

Спасибо сказали: 41 раз(а)




Репутация:   5  


Цитата(Tarnym @ 19.8.2008, 13:11) *
Добрый день. Я только начал пользоваться и сразу возник вопрос.
Использую сборку Eclipse + QT4 + MinGW. Когда проект скомпилируеш проект он сразу запускается, но когда запускаеш отдельно скомпилированнвй проект выдает ошибку длл. в интернете нашол дллки но он не воспринимает 2 из них (QTCore4.dll) пишет неправельный вход процедуры в поток... :blink: помогите :)


Верояно, у тебя не прописана переменная среды %QTDIR%. В интеграторе Eclipse она указывается в bat файле и поэтому прога запускается. А ошибка из-за несоответствия версий скачаных длл-ок и версии qt для которой скомпилирована программа.
Пропиши в переменные среды %QTDIR%=Путь установки QT (у меня c:\qt\4.3.2) и %QMAKESPEC%= win32-g++ (если у тебя MinGW версия библиотеки) Для Вижуала переменную не знаю.
После этого проблема должна исчезнуть
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
molchanoviv
  опции профиля:
сообщение 19.8.2008, 13:40
Сообщение #4


Старейший участник
****

Группа: Сомодератор
Сообщений: 597
Регистрация: 18.7.2008
Из: Саратов
Пользователь №: 238

Спасибо сказали: 41 раз(а)




Репутация:   5  


Цитата(Tarnym @ 19.8.2008, 13:11) *
Добрый день. Я только начал пользоваться и сразу возник вопрос.
Использую сборку Eclipse + QT4 + MinGW. Когда проект скомпилируеш проект он сразу запускается, но когда запускаеш отдельно скомпилированнвй проект выдает ошибку длл. в интернете нашол дллки но он не воспринимает 2 из них (QTCore4.dll) пишет неправельный вход процедуры в поток... :blink: помогите :)


Верояно, у тебя не прописана переменная среды %QTDIR%. В интеграторе Eclipse она указывается в bat файле и поэтому прога запускается. А ошибка из-за несоответствия версий скачаных длл-ок и версии qt для которой скомпилирована программа.
Пропиши в переменные среды %QTDIR%=Путь установки QT (у меня c:\qt\4.3.2) и %QMAKESPEC%= win32-g++ (если у тебя MinGW версия библиотеки) Для Вижуала переменную не знаю.
После этого проблема должна исчезнуть

Да, забыл, в переменной среды %path% должен быть прописан путь c:\mingw\bin( если у тебя mingw) и путь до исполняемых файлов qt (у меня c:\qt\4.3.2\bin)

Сообщение отредактировал molchanoviv - 19.8.2008, 13:49
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 20.6.2019, 10:52